# TODO: RETURNURL - Find out where the returnto URL is supposed to be coming from.
ACCOUNTHOLDER: account_holder
ACCOUNTNAME: account_name
ACCOUNTNUMBER: account_number
ADDRESSLINE1E: address_line_1e # dd:CH
ADDRESSLINE2: address_line_2 # dd:CH
ADDRESSLINE3: address_line_3 # dd:CH
ADDRESSLINE4: address_line_4 # dd:CH
ATTEMPTID: attempt_id
AUTHORISATIONID: authorization_id
AMOUNT: amount
AVSRESULT: avs_result
BANKACCOUNTNUMBER: bank_account_number
BANKAGENZIA: bank_agenzia # dd:IT
BANKCHECKDIGIT: bank_check_digit
BANKCODE: bank_code
BANKFILIALE: bank_filiale # dd:IT
BANKNAME: bank_name
BRANCHCODE: branch_code
CITY: city
COUNTRYCODE: country
COUNTRYCODEBANK: country_code_bank
COUNTRYDESCRIPTION: country_description
CUSTOMERBANKCITY: customer_bank_city # dd
CUSTOMERBANKSTREET: customer_bank_street # dd
CUSTOMERBANKNUMBER: customer_bank_number # dd
CUSTOMERBANKZIP: customer_bank_zip # dd
CREDITCARDNUMBER: card_num
CURRENCYCODE: currency
CVV: cvv
CVVRESULT: cvv_result
DATECOLLECT: date_collect
DESCRIPTOR: descriptor # eWallets
DIRECTDEBITTEXT: direct_debit_text
DOMICILIO: domicilio # dd:ES
EFFORTID: effort_id
EMAIL: email
EXPIRYDATE: expiration
FIRSTNAME: first_name
IBAN: iban
IPADDRESS: server_ip
IPADDRESSCUSTOMER: user_ip
ISSUERID: issuer_id
LANGUAGECODE: language
MERCHANTREFERENCE: contribution_tracking_id # new as of Feb 2014. See also the staging function.
ORDERID: order_id
PAYMENTPRODUCTID: payment_product
PAYMENTREFERENCE: payment_reference
PROVINCIA: provincia # dd:ES
RETURNURL: returnto
SPECIALID: special_id
STATE: state_province
STATUSID: gateway_status
STREET: street_address
SURNAME: last_name
SWIFTCODE: swift_code
TRANSACTIONTYPE: transaction_type # dd:GB,NL
ZIP: postal_code
FISCALNUMBER: fiscal_number # Boletos
